<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.fb.models.FacebookGraphApi Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.fb.models.FacebookGraphApi Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for pyspottedunipd.fb.models.FacebookGraphApi:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.png" usemap="#pyspottedunipd.fb.models.FacebookGraphApi_map" alt=""/>
  <map id="pyspottedunipd.fb.models.FacebookGraphApi_map" name="pyspottedunipd.fb.models.FacebookGraphApi_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6627a7dd6eec32651e75798ab9e5e55b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a6627a7dd6eec32651e75798ab9e5e55b">__init__</a> (self, <a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a77f59218ed58538bae01e62e6b169a7b">token</a>)</td></tr>
<tr class="separator:a6627a7dd6eec32651e75798ab9e5e55b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32ae10d5a9d99a53f4b7b5da877d0446"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a32ae10d5a9d99a53f4b7b5da877d0446">get_api_driver</a> (self, version=&quot;2.7&quot;)</td></tr>
<tr class="separator:a32ae10d5a9d99a53f4b7b5da877d0446"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab365864c35ba403da5cef6b985da164b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#ab365864c35ba403da5cef6b985da164b">get_page_posts_url</a> (self, page_id)</td></tr>
<tr class="separator:ab365864c35ba403da5cef6b985da164b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3458c477bb0c0be988eb3a60a2bac88"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#aa3458c477bb0c0be988eb3a60a2bac88">get_post_summary_urls</a> (self, post_id)</td></tr>
<tr class="separator:aa3458c477bb0c0be988eb3a60a2bac88"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a9901b00a439222ccf96fbf91d27d4a33"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9901b00a439222ccf96fbf91d27d4a33">get_api_url</a> (version=&quot;2.8&quot;)</td></tr>
<tr class="separator:a9901b00a439222ccf96fbf91d27d4a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9932ec50b92cd5c123cc73bd38c1584b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9932ec50b92cd5c123cc73bd38c1584b">parse_api_response</a> (url)</td></tr>
<tr class="separator:a9932ec50b92cd5c123cc73bd38c1584b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a77f59218ed58538bae01e62e6b169a7b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a77f59218ed58538bae01e62e6b169a7b">token</a></td></tr>
<tr class="separator:a77f59218ed58538bae01e62e6b169a7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">The official Facebook graph API driver (parser, scraper ...) </pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00028">28</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a6627a7dd6eec32651e75798ab9e5e55b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookGraphApi.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>token</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00031">31</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a32ae10d5a9d99a53f4b7b5da877d0446"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookGraphApi.get_api_driver </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>version</em> = <code>&quot;2.7&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param version: str
    Version of API to use
:return: GraphAPI
    Facebook API driver
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00059">59</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a9901b00a439222ccf96fbf91d27d4a33"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookGraphApi.get_api_url </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>version</em> = <code>&quot;2.8&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">:param version: str
    Version of API to use
:return: str
    Url of graph API
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00037">37</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="ab365864c35ba403da5cef6b985da164b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookGraphApi.get_page_posts_url </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>page_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param page_id: str
    ID of page to scrape
:return: str
    Url of posts of page
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00069">69</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="aa3458c477bb0c0be988eb3a60a2bac88"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookGraphApi.get_post_summary_urls </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>post_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param post_id: str
    ID if post
:return: {} with keys 'likes', 'comments'
    Urls to get info about key
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00079">79</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a9932ec50b92cd5c123cc73bd38c1584b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookGraphApi.parse_api_response </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>url</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">:param url: str
    Url to fetch
:return: json loaded
    Response json-parsed
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00048">48</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a77f59218ed58538bae01e62e6b169a7b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookGraphApi.token</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00034">34</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/<a class="el" href="fb_2models_8py_source.html">models.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1fb.html">fb</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1fb_1_1models.html">models</a></li><li class="navelem"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html">FacebookGraphApi</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
